# $Revision: 1.444 $, $Date: 2010/08/26 08:01:27 $
#
# Conditional build:
%bcond_with	directfb	# with DirectFB video output
%bcond_with	dxr3		# enable use of DXR3/H+ hardware MPEG decoder
%bcond_with	ggi		# with ggi video output
%bcond_with	nas		# with NAS audio output
%bcond_with	svga		# with svgalib video output
%bcond_without	osd		# with osd menu support
%bcond_without	altivec		# without altivec support
%bcond_without	x264		# without x264 support
%bcond_with	xmms		# with XMMS inputplugin support
%bcond_without	aalib		# without aalib video output
%bcond_without	jack		# without JACKD support
%bcond_without	alsa		# without ALSA audio output
%bcond_with	arts		# with arts audio output
%bcond_without	caca		# without libcaca video output
%bcond_without	cdparanoia	# without cdparanoia support
%bcond_without	dvdnav		# without dvdnav support
%bcond_without	enca		# disable using ENCA charset oracle library
%bcond_with	esd		# enable EsounD sound support
%bcond_without	faad		# disable FAAD2 (AAC) support
%bcond_without	gif		# disable GIF support
%bcond_without	gui		# without GTK+ GUI
%bcond_without	joystick	# disable joystick support
%bcond_without	libdts		# disable libdts support
%bcond_without	libdv		# disable libdv en/decoding support
%bcond_without	lirc		# without lirc support
%bcond_without	live		# without LIVE555 libraries
%bcond_without	lzo		# with LZO support (requires lzo 2.x)
%bcond_without	mad		# without mad (audio MPEG) support
%bcond_without	pulseaudio	# without pulseaudio output
%bcond_without	quicktime	# without binary quicktime dll support
%bcond_without	real		# without Real* 8/9 codecs support
%bcond_without	runtime		# disable runtime cpu detection, just detect CPU
				#  in compile time (advertised by mplayer authors as working faster); in this case
				#  mplayer may not work on machine other then where it was compiled
%bcond_without	select		# disable audio select() support (for example required this option ALSA or Vortex2 driver)
%bcond_without	smb		# disable Samba (SMB) input support
%bcond_without	theora		# without theora support
%bcond_without	win32		# without win32 codecs support
%bcond_without	vdpau		# disable vdpau
%bcond_without	vidix		# disable vidix
%bcond_without	vorbis		# without Ogg-Vorbis audio support
%bcond_with	system_vorbis	# use system libvorbis instead of internal tremor
%bcond_without	xvid		# disable XviD codec
%bcond_without	mencoder	# disable mencoder (a/v encoder) compilation
%bcond_without	sdl		# disable SDL
%bcond_without	doc		# don't build docs (slow)
%bcond_with	shared		# experimental libmplayer.so support
%bcond_without	amr		# enable Adaptive Multi Rate (AMR) speech codec support
%bcond_without	gnomess		# disable controling gnome screensaver
%bcond_without	ssse3		# sse3 optimizations (needs binutils >= 2.16.92)
%bcond_with	system_ffmpeg	# use ffmpeg-devel, rather bundled sources (likely needs ffmpeg from same svn revision than mplayer)
%bcond_with	on2		# with patches from On2 Flix Engine for Linux
%if "%{pld_release}" == "ac"
%bcond_with		hidden_visibility	# no gcc hidden visibility
%else
%bcond_without	hidden_visibility	# no gcc hidden visibility
%endif

%if %{with alsa}
%undefine	with_select
%endif

%if %{without vorbis}
%undefine	with_system_vorbis
%endif

%ifnarch %{ix86}
%undefine	with_win32
%undefine	with_quicktime
%undefine	with_vidix
%endif

%ifnarch %{ix86} %{x8664} ppc ppc64
%undefine	with_runtime
%endif

%if %{_lib} == "lib64"
%define		_suf	64
%else
%define		_suf	32
%endif

%define		subver	rc4
%define		svnver	31097
%define		rel	2

Summary:	MPlayer - THE Movie Player for UN*X
Summary(de.UTF-8):	MPlayer ist ein unter der freien GPL-Lizenz stehender Media-Player
Summary(es.UTF-8):	Otro reproductor de películas
Summary(ko.UTF-8):	리눅스용 미디어플레이어
Summary(pl.UTF-8):	Odtwarzacz filmów dla systemów uniksowych
Summary(pt_BR.UTF-8):	Reprodutor de filmes
Name:		mplayer
Version:	1.0
Release:	5.%{subver}_svn%{svnver}.%{rel}
# DO NOT increase epoch unless it's really neccessary!
# especially such changes like pre7->pre7try2, increase Release instead!
# PS: $ rpmvercmp pre7try2 pre7
# pre7try2 > pre7
Epoch:		3
License:	GPL
Group:		Applications/Multimedia
# svn co svn://svn.mplayerhq.hu/mplayer/trunk mplayer-rXXX
# tar --exclude-vcs -cvJf mplayer-rXXX.tar.xz mplayer-rXXX
Source0:	%{name}-r%{svnver}.tar.xz
# Source0-md5:	7e70fb6582890c60329b8fb5f34423d5
Source3:	ftp://ftp1.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-2.tar.bz2
# Source3-md5:	7b47904a925cf58ea546ca15f3df160c
Source5:	g%{name}.desktop
Source6:	ftp://ftp2.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2
# Source6-md5:	1ecd31d17b51f16332b1fcc7da36b312
Source7:	%{name}.png
Source8:	%{name}.desktop
# http://www.on2.com/gpl/mplayer/
Source9:	http://support.on2.com/gpl/mplayer/2009-10-08-mencoder-on2flixenglinux.tar.bz2
# Source9-md5:	07774a2663a8fda07c308df0c6569b56

# build (configure / Makefile) related:
Patch10:	%{name}-ldflags.patch
Patch11:	%{name}-altivec.patch
Patch12:	%{name}-check-byteswap.patch
Patch13:	%{name}-visibility-hidden-fix.patch
Patch14:	%{name}-ffmpeg.patch
Patch15:	%{name}-shared_live.patch
Patch16:	%{name}-shared.patch

# codecs, outputs, demuxers:
Patch20:	%{name}-auto-expand.patch
Patch21:	%{name}-release_directfb.patch

# goodies:
Patch30:	%{name}-cp1250-fontdesc.patch
Patch31:	%{name}-350.patch
# update, hard to fix right now because of gnome bug 579430:
# https://bugzilla.gnome.org/show_bug.cgi?id=579430
#Patch32:	%{name}-gnome-screensaver.patch

Patch100:	%{name}-on2flix.patch

URL:		http://www.mplayerhq.hu/
%{?with_directfb:BuildRequires:	DirectFB-devel}
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
%{?with_sdl:BuildRequires:	SDL-devel >= 1.1.7}
%{?with_aalib:BuildRequires:	aalib-devel}
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	artsc-devel}
%{?with_ssse3:BuildRequires:	binutils >= 3:2.16.92}
%{?with_cdparanoia:BuildRequires:	cdparanoia-III-devel}
BuildRequires:	dirac-devel
%{?with_doc:BuildRequires:	docbook-dtd412-xml}
%{?with_doc:BuildRequires:	docbook-style-xsl}
%{?with_dxr3:BuildRequires:	em8300-devel}
%{?with_enca:BuildRequires:	enca-devel}
%{?with_esd:BuildRequires:	esound-devel}
BuildRequires:	faac-devel
%{?with_faad:BuildRequires:	faad2-devel >= 2.0}
%{?with_system_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.4.9-4.20081024.3}
BuildRequires:	freetype-devel >= 2.0.9
BuildRequires:	fribidi-devel
BuildRequires:	tar >= 1:1.22
%{?with_vidix:BuildRequires:	vidix-devel}
%ifarch ppc
%{?with_altivec:BuildRequires:	gcc >= 5:3.3.2-3}
%endif
%{?with_gnomess:BuildRequires:	dbus-glib-devel}
%{?with_gif:BuildRequires:	giflib-devel}
%{?with_gui:BuildRequires:	gtk+2-devel}
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
%{?with_jack:%requires_eq	jack-audio-connection-kit-libs}
BuildRequires:	lame-libs-devel
%{?with_caca:BuildRequires:	libcaca-devel}
%{?with_libdts:BuildRequires:	libdts-devel}
%{?with_libdv:BuildRequires:	libdv-devel > 0.9.5}
%{?with_dvdnav:BuildRequires:	libdvdnav-devel >= 4.1.3}
%{?with_ggi:BuildRequires:	libggi-devel}
BuildRequires:	libjpeg-devel
%{?with_mad:BuildRequires:	libmad-devel}
BuildRequires:	libmng-devel
BuildRequires:	libmpcdec-devel >= 1.2.1
BuildRequires:	libpng-devel
%{?with_smb:BuildRequires:	libsmbclient-devel}
%{?with_theora:BuildRequires:	libtheora-devel}
%{?with_vdpau:BuildRequires:	libvdpau-devel}
%{?with_system_vorbis:BuildRequires:	libvorbis-devel}
%{?with_x264:BuildRequires:	libx264-devel >= 0.1.3}
BuildRequires:	libxslt-progs
%{?with_lirc:BuildRequires:	lirc-devel}
%{?with_live:BuildRequires:	live-devel}
%{?with_lzo:BuildRequires:	lzo-devel >= 2.0}
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	ncurses-devel
%{?with_amr:BuildRequires:	opencore-amr-devel}
BuildRequires:	pkgconfig
%{?with_pulseaudio:BuildRequires:	pulseaudio-devel >= 0.9}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	schroedinger-devel
BuildRequires:	speex-devel >= 1.1
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	twolame-devel
%{?with_xmms:BuildRequires:	xmms-devel}
%{?with_xvid:BuildRequires:	xvid-devel >= 1:0.9.0}
%ifarch %{ix86} %{x8664}
BuildRequires:	yasm
%endif
BuildRequires:	zlib-devel
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel >= 4.0.2
%else
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXv-devel
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libXxf86dga-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
%endif
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		specflags_ia32	-fomit-frame-pointer
%if %{with altivec}
%define		specflags_ppc	-maltivec
%endif

%description
Movie player. Supported input formats: VCD (VideoCD), MPEG1/2, RIFF
AVI, ASF 1.0, Quicktime. Supported audio codecs: PCM (uncompressed),
MPEG layer 2/3, AC3, aLaw, MS-GSM, Win32 ACM. Supported video codecs:
MPEG 1 and MPEG 2, Win32 ICM (VfW), OpenDivX. Supported output
devices: Matrox G200/G400 hardware, Matrox G200/G400 overlay, X11
optionally with SHM extension, X11 using overlays with the Xvideo
extension, OpenGL renderer, Matrox G400 YUV support on framebuffer
Voodoo2/3 hardware, SDL v1.1.7 driver etc.

If you want to use win32 codecs install w32codec package.

%description -l de.UTF-8
MPlayer ist ein unter der freien GPL-Lizenz stehender Media-Player.
Kennzeichnend ist die herausragende Format- und
Plattform-Kompatibilität.

Es unterstützt eine Vielzahl von Video und Audio-Codecs, darunter auch
plattformexklusive, wodurch etwa Windows Media auch außerhalb von
Windows wiedergegeben werden kann. Darüber hinaus unterstützt er DVB.
Eine besondere Fehlertoleranz ermöglicht es dem mehrfach
ausgezeichneten Player, auch defekte Dateien abzuspielen. Eine weitere
Stärke ist dabei der Wegfall jeglicher Installation, so dass bereits
installierte Codecs nicht mit MPlayer kollidieren können.

%description -l es.UTF-8
Reproductor video. Formatos de entrada soportados: VCD (VideoCD),
MPEG1/2, RIFF AVI, ASF 1.0, Quicktime. Codecs de audio soportados: PCM
(uncompressed), MPEG layer 2/3, AC3, aLaw, MS-GSM, Win32 ACM. Codecs
de video soportados: MPEG 1 and MPEG 2, Win32 ICM (VfW), OpenDivX.
Dispositivos de salida soportados: Matrox G200/G400 hardware, Matrox
G200/G400 overlay, X11 optionalmente con la extensión SHM, X11 usando
overlays con la extensión Xvideo, plasmador OpenGL, soporte de Matrox
G400 YUV en hardware de framebuffer de Voodoo2/3, controlador SDL
v1.1.7 etc.

Si quiere usar codecs Win32, instale el paquete w32codec.

%description -l ko.UTF-8
MPlayer는 리눅스용 무비플레이어입니다. 대부분의 mpeg, avi 그리고 asf
파일을 재생합니다. VCD, DVD, 심 지어 DivX까지 볼 수 있습니다.
MPlayer의 또 다른 큰 특징은 출력 드라이버가 다양하다는 것입니다. X11,
Xv, DGA, OpenGL, SVGAlib, fbdev와 작동하며, SDL이나
(Matrox/3dfx/Sis등의) 특정 카드에 종속된 로우레 벨 드라이버들도 사용할
수 있습니다. 대부분의 출력 드라이버들은 소프트웨어 혹은 하드웨어적인
크기조절 (scaling)을 지원하므로, 전체화면으로 영상을 감상할 수
있습니다. 뿐만아니라, 한국어, 영어, 헝가리어, 체코어, 러시아어등의
부드러운(antialiased) 자막폰트도 사용할 수 있습니다.

%description -l pl.UTF-8
Odtwarzacz wideo. Wspierane formaty wejściowe: VCD (VideoCD), MPEG1/2,
RIFF AVI, ASF 1.0, Quicktime. Wspierane kodeki audio: PCM
(nieskompresowane), MPEG layer 2/3, AC3, aLaw, MS-GSM, Win32 ACM.
Wspierane kodeki wideo: MPEG 1 and MPEG 2, Win32 ICM (VfW), OpenDivX.
Wspierane urządzenia wyjściowe: Matrox G200/G400, X11 opcjonalnie z
rozszerzeniem SHM, X11 z rozszerzeniem Xvideo, renderer OpenGL, Matrox
G400 używając framebuffera, Voodoo2/3, SDL v1.1.7 itp.

Jeśli chcesz używać kodeków win32, zainstaluj pakiet w32codec.

%description -l pt_BR.UTF-8
MPlayer é um reprodutor de filmes que suporta vários codecs de vídeo e
áudio. Diferentes mecanismos de reprodução podem também ser
escolhidos, incluindo SDL, SVGALib, frame buffer, aalib, X11 e outros.

%package -n gmplayer
Summary:	MPlayer with GTK+ GUI interface
Summary(pl.UTF-8):	MPlayer z graficznym interfejsem GTK+
Group:		X11/Applications/Multimedia
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-skin

%description -n gmplayer
MPlayer with GUI GTK+ interface.

%description -n gmplayer -l pl.UTF-8
MPlayer z graficznym interfejsem GTK+.

%package common
Summary:	Configuration files and documentation for MPlayer
Summary(pl.UTF-8):	Pliki konfiguracyjne i dokumentacja dla MPlayera
Group:		Applications/Multimedia
Suggests:	unrar
Obsoletes:	mplayer-vidix

%description common
Configuration files, man page and HTML documentation for MPlayer.

%description common -l pl.UTF-8
Pliki konfiguracyjne, strona manuala i dokumentacja HTML dla MPlayera.

%package -n mencoder
Summary:	MEncoder - a movie encoder for Linux
Summary(pl.UTF-8):	MEncoder - koder filmów dla Linuksa
Group:		Applications/Multimedia
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description -n mencoder
MEncoder is a movie encoder for Linux and is a part of the MPlayer
package.

%description -n mencoder -l pl.UTF-8
MEncoder to koder filmów dla Linuksa będący częścią pakietu MPlayer.

%prep
%setup -q -n %{name}-r%{svnver} -a3 -a6 -a9
cp -f etc/codecs.conf etc/codecs.win32.conf

# build (configure / Makefile) related:
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%{?with_system_ffmpeg:%patch14 -p1}
%{?with_live:%patch15 -p1}
%{?with_shared:%patch16 -p1}

# codecs, outputs, demuxers:
%patch20 -p1
%patch21 -p1

# goodies:
%patch30 -p0
%patch31 -p1
#%{with_gnomess:%patch32 -p1}

# on2flix
mv mencoder-on2flixenglinux{-*-*-*,}
%if %{with on2}
#%%patch100 -p1
cp -a mencoder-on2flixenglinux/patch/new_files/libmpdemux/* libmpdemux
# remove broken patches:
# - first set does not apply
# - second set beakes build
for PATCH in	asf-correct_movielength avi_check_idxflags \
		demux_lavf-add_dv_mts_preferred demux_lavf-probe_small_files \
		mencoder_07_demux_update_pts mencoder_10_correct_pts \
		mpegvideo-revert_r18381 \
		\
		reduce_spurious_logging
do
	rm mencoder-on2flixenglinux/patch/$PATCH.diff
done
for a in mencoder-on2flixenglinux/patch/*.diff; do
	patch -p0 < $a
done
%endif

# Set version
%if "x%{svnver}" != "x%{nil}"
	echo "SVN-r%{svnver}%{?with_on2:-on2}" > VERSION
%endif

cat etc/example.conf > etc/mplayer.conf
cat <<'CONFIGADD' >> etc/mplayer.conf

######################
# PLD Linux Defaults #
######################
[default]

# alternate solution for CP1250-encoded subtitles
fontconfig = yes
subcp = cp1250

# ...or if you prefer native bitmap fonts shipped with mplayer
#fontconfig = no
#subcp = iso-8859-1

# Standard location
unrarexec = "%{_bindir}/unrar"

CONFIGADD

%if %{with system_ffmpeg}
# using external ffmpeg, but mplayer adds these to includepath
rm -r libavcodec libavdevice libavformat libavutil libpostproc libswscale
%endif

# *** HOT FIXES ***

# typo, fixed in recent svn
sed 's/STREAM_NONCACHEABLE/STREAM_NON_CACHEABLE/' -i stream/stream_live555.c

# mjpeg encoder is required for Zoran hardware
sed '/_libavencoders="MPEG/s/"$/ MJPEG_ENCODER"/' -i configure

%build
CFLAGS="%{rpmcflags} %{?with_hidden_visibility:-fvisibility=hidden} %{?with_shared:-fvisibility=default -fPIC}"
CFLAGS="$CFLAGS -I%{_includedir}/xvid%{?with_directfb::%{_includedir}/directfb}"
%{?with_live:CFLAGS="$CFLAGS -I/usr/include/liveMedia"}

build() {
	set -x

	./configure \
	%{?debug:--enable-debug=3} \
	--prefix=%{_prefix} \
	--confdir=%{_sysconfdir}/mplayer \
	--cc="%{__cc}" \
	--extra-cflags="$CFLAGS" \
	--real-ldflags="%{rpmldflags}" \
	--extra-ldflags="%{?_x_libraries:-L%{_x_libraries}}" \
%if %{with system_ffmpeg}
	--disable-libavutil_a \
	--disable-libavcodec_a \
	--disable-libavformat_a \
	--disable-libpostproc_a \
	--enable-libavutil_so \
	--enable-libavcodec_so \
	--enable-libavformat_so \
	--enable-libpostproc_so \
%endif
%ifnarch %{ix86} %{x8664}
	--disable-mmx \
	--disable-mmxext \
	--disable-3dnow \
	--disable-3dnowext \
	--disable-sse \
	--disable-sse2 \
	--disable-fastmemcpy \
%endif
	%{__disable ssse3} \
%ifarch ppc
	%{__disable altivec} \
%endif
	%{__enable_disable amr libopencore_amrnb} %{__enable_disable amr libopencore_amrwb} \
	%{__enable_disable directfb} \
	%{__disable dxr3} \
	%{__disable ggi} \
	%{__disable live} \
	%{__disable lzo liblzo} \
	%{__disable nas} \
	%{__disable svga} \
	%{__disable aalib aa} \
	%{__disable jack} \
	%{__enable_disable alsa} \
	%{__disable arts} \
	%{__disable caca} \
	%{__disable cdparanoia} \
	%{__disable enca} \
	%{__disable esd} \
	--disable-faad-internal \
	%{__disable faad} \
	%{__disable gif} \
	%{__enable joystick} \
	%{__disable libdv} \
	%{__disable libdts libdca} \
	%{__enable_disable lirc} \
	%{__disable mad} \
	%{__disable pulseaudio pulse} \
	%{__disable quicktime qtx} \
	%{__disable real} \
	%{__enable_disable runtime runtime-cpudetection} \
	%{__disable select} \
	%{__disable smb} \
	%{__disable win32 win32dll} \
	%{__disable vorbis tremor-internal} --disable-tremor %{__disable vorbis libvorbis} \
	%{__disable_if system_vorbis tremor-internal} \
	%{__enable osd menu} \
	%{__disable theora} \
	%{__disable x264} \
	%{?with_xmms:--enable-xmms --with-xmmsplugindir=%{_libdir}/xmms/Input --with-xmmslibdir=%{_libdir}} \
	%{__disable xvid} \
	%{__disable vidix} \
	%{__disable vdpau} \
	%{__disable mencoder} \
	--enable-dga1 \
	--enable-dga2 \
	%{__enable_disable dvdnav} \
	--enable-fbdev \
	--enable-gl \
	--enable-mga \
	--enable-radio \
	--enable-radio-capture \
	%{__enable_disable sdl} \
	--enable-tdfxfb \
	--enable-vm \
	--enable-x11 \
	--enable-xmga \
	--enable-xv \
	--enable-xvmc \
	--with-xvmclib=XvMCW \
	--enable-zr \
	--enable-unrarexec \
	--enable-dynamic-plugins \
	--enable-largefiles \
	--language=all \
	--codecsdir=%{_libdir}/codecs \
	"$@"

	%{__make}
}

%if %{with gui}
# build GUI version
build --enable-gui --disable-mencoder
mv -f mplayer gmplayer
%{__make} distclean
%endif

# now build regular version
build --disable-gui

%if %{with doc}
%{__make} -j1 -C DOCS/xml
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_sysconfdir}/mplayer} \
	$RPM_BUILD_ROOT%{_mandir}/{cs,de,es,fr,hu,it,pl,sv,zh_CN,}/man1 \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/skins \
	$RPM_BUILD_ROOT%{_desktopdir}

# default config files
install etc/{codecs,mplayer%{?with_osd:,menu},input}.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayer

# executables
%if %{with mencoder}
install mencoder $RPM_BUILD_ROOT%{_bindir}/mencoder%{_suf}
ln -sf mencoder%{_suf} $RPM_BUILD_ROOT%{_bindir}/mencoder
%endif
install mplayer $RPM_BUILD_ROOT%{_bindir}/mplayer%{_suf}
ln -sf mplayer%{_suf} $RPM_BUILD_ROOT%{_bindir}/mplayer
%if %{with gui}
install gmplayer $RPM_BUILD_ROOT%{_bindir}/gmplayer%{_suf}
ln -sf gmplayer%{_suf} $RPM_BUILD_ROOT%{_bindir}/gmplayer
%endif

%if %{with shared}
install -d $RPM_BUILD_ROOT%{_libdir}
install libmplayer.so $RPM_BUILD_ROOT%{_libdir}
%endif

# fonts
cp -r font-* $RPM_BUILD_ROOT%{_datadir}/mplayer
ln -sf font-arial-iso-8859-2/font-arial-24-iso-8859-2 $RPM_BUILD_ROOT%{_datadir}/mplayer/font

%if %{with gui}
install %{SOURCE5} $RPM_BUILD_ROOT%{_desktopdir}
%endif
touch $RPM_BUILD_ROOT%{_datadir}/%{name}/skins/default
install %{SOURCE8} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE7} $RPM_BUILD_ROOT%{_pixmapsdir}

# man pages
install DOCS/man/cs/*.1 $RPM_BUILD_ROOT%{_mandir}/cs/man1
install DOCS/man/de/*.1 $RPM_BUILD_ROOT%{_mandir}/de/man1
install DOCS/man/en/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
install DOCS/man/es/*.1 $RPM_BUILD_ROOT%{_mandir}/es/man1
install DOCS/man/fr/*.1 $RPM_BUILD_ROOT%{_mandir}/fr/man1
install DOCS/man/hu/*.1 $RPM_BUILD_ROOT%{_mandir}/hu/man1
install DOCS/man/it/*.1 $RPM_BUILD_ROOT%{_mandir}/it/man1
install DOCS/man/pl/*.1 $RPM_BUILD_ROOT%{_mandir}/pl/man1
#install DOCS/man/sv/*.1 $RPM_BUILD_ROOT%{_mandir}/sv/man1
#install DOCS/man/zh/*.1 $RPM_BUILD_ROOT%{_mandir}/zh_CN/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post -n gmplayer
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%postun -n gmplayer
umask 022
[ ! -x /usr/bin/update-desktop-database ] || /usr/bin/update-desktop-database >/dev/null 2>&1 ||:

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mplayer*

%if %{with gui}
%files -n gmplayer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmplayer*
%{_desktopdir}/gmplayer.desktop
%endif

%if %{with mencoder}
%files -n mencoder
%defattr(644,root,root,755)
%doc DOCS/tech/encoding-guide.txt DOCS/tech/encoding-tips.txt
%doc DOCS/tech/swscaler_filters.txt DOCS/tech/swscaler_methods.txt
%doc DOCS/tech/colorspaces.txt
%attr(755,root,root) %{_bindir}/mencoder*
%endif

%files common
%defattr(644,root,root,755)
%doc DOCS/tech
%{?with_shared:%attr(755,root,root) %{_libdir}/libmplayer.so}
%if %{with win32}
%doc etc/codecs.win32.conf
%endif
%if %{with doc}
# HTML and XML-generated docs
%doc DOCS/HTML/en
%lang(cs) %doc DOCS/HTML/cs
%lang(de) %doc DOCS/HTML/de
%lang(es) %doc DOCS/HTML/es
%lang(fr) %doc DOCS/HTML/fr
%lang(hu) %doc DOCS/HTML/hu
%lang(pl) %doc DOCS/HTML/pl
%lang(ru) %doc DOCS/HTML/ru
#%lang(zh_CN) %doc DOCS/zh
%endif
%doc AUTHORS README

%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(pl) %{_mandir}/pl/man1/*
#%lang(sv) %{_mandir}/sv/man1/*
#%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%{_desktopdir}/mplayer.desktop
%{_pixmapsdir}/mplayer.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/font*
%dir %{_datadir}/%{name}/skins
%ghost %{_datadir}/%{name}/skins/default

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mplayer.spec,v $
Revision 1.444  2010/08/26 08:01:27  glen
- ac deps

Revision 1.443  2010/06/02 23:45:41  baggins
- rel 2
- reverse esd bcond

Revision 1.442  2010/06/02 12:30:46  sparky
- added tar BR

Revision 1.441  2010/04/26 11:05:42  arekm
- md5

Revision 1.440  2010/04/25 20:40:31  arekm
- up to r31097

Revision 1.439  2010/04/25 20:10:46  arekm
- release 6

Revision 1.438  2010/03/25 21:42:12  pluto
- invert arts bcond, release up.

Revision 1.437  2010/03/04 14:22:16  baggins
- rel 4

Revision 1.436  2010/01/29 19:59:31  arekm
- release 3

Revision 1.435  2009/12/31 17:36:30  megabajt
- release 2

Revision 1.434  2009/12/07 01:37:29  sparky
- fix amr BRs, and enable it by default

Revision 1.433  2009/11/20 18:47:30  sparky
- added with on2 bcond - enables working On2 Flix Engine patches
- added with system_vorbis bcond - uses external libvorbis instead of internal
  tremor

Revision 1.432  2009/11/20 14:16:39  glen
- linux part

Revision 1.431  2009/11/19 22:22:12  arekm
- rel 1

Revision 1.430  2009/11/19 22:00:14  arekm
- unbreak x264

Revision 1.429  2009/11/19 21:02:53  sparky
- working config changes
- changes intriduced by mplayer-fontconfig_sub.patch moved to %prep

Revision 1.428  2009/11/19 19:39:10  sparky
- added missing BRs
- enabled some options

Revision 1.427  2009/11/19 16:37:33  sparky
- build by default with -fvisibility=hidden (reduces number of symbols from
  ~5000 to ~1000)
- fixed build with shared

Revision 1.426  2009/11/18 23:57:42  sparky
- added ldflags patch; use --real-ldflags
- (re)organized patches

Revision 1.425  2009/11/18 22:22:22  sparky
- revised most removed/outdated/obsoleted patches patches:
-- codecs - now it works fine without w32codecs
-- home_etc - mplayer now supports MPLAYER_HOME environment variable, should be
	enough
-- system-amr - outdated, mplayer uses external libopencore-amr now
-- pcmsplit - "split in 10 megs audio files" - patch is useless
-- mythtv - seems like mythtv internal nuv is supported by upstream mplayer
	already, can anyone verify that ?
-- xvmc - not supported, but patches at openchrome.org are completely outdated
	and implementation changed to much to try to update it

Revision 1.424  2009/11/18 18:21:17  sparky
- revised bconded configure options (some changed their name), and converted
  to macros
- fixed build --without gui

Revision 1.423  2009/11/18 03:20:57  sparky
- up to svn revision 29930 (pre? rc4)
- on2 updated to 2009-10-08 but disabled, seems most patches are applied
- mplayer uses now (lib)opencore-amr which we don't have, anyone ?
- updated build and flags; builds and works with default bcondset

Revision 1.422  2009/08/14 00:08:55  arvenil
- release 21 (rebuild with OpenAL)

Revision 1.421  2009/08/12 20:25:48  arvenil
- apply live patch only when bcond enabled

Revision 1.420  2009/07/18 18:44:38  blues
- release 20 - live bcond enabled (with shared_live patch). Remove
  --with-live option - authors depreciate it. rtsp should work now.

Revision 1.419  2009/07/18 12:40:45  blues
- BR live-static

Revision 1.418  2009/07/11 19:55:27  arekm
- release 19

Revision 1.417  2009/03/02 17:22:21  glen
- move skins dir to -common to avoid dep loops; rel 18

Revision 1.416  2009/01/05 09:13:39  witekfl
- added the release-directfb.patch

Revision 1.415  2009/01/04 19:44:05  witekfl
- added /usr/include/directfb to the extraincludes

Revision 1.414  2008/12/07 00:23:56  charles
- cleanup (tab)

Revision 1.413  2008/12/06 19:56:54  glen
- update on2 patches to 2008-11-25
- be sure svn rev is present in version (for smplayer version detection); rel 17

Revision 1.412  2008/12/06 19:23:05  glen
- include note about svn in release

Revision 1.411  2008/12/06 19:14:24  glen
- release 16

Revision 1.410  2008/11/24 09:20:58  glen
- enable dvdbav -- compiles with recent libdvdnav-devel

Revision 1.409  2008/11/24 09:07:22  glen
- update to r27725 svn
- update on2 to 2008-09-30

Revision 1.408  2008/11/17 21:54:40  sls
- BR: docbook-dtd412-xml

Revision 1.407  2008/10/25 13:44:27  arekm
- rel 15; rebuild with new libx264

Revision 1.406  2008/10/25 11:27:14  arekm
- release 14

Revision 1.405  2008/10/13 12:02:36  sls
- added mplayer_demux_real.patch (fixes CVE-2008-3827)

Revision 1.404  2008/10/11 11:21:48  radek
- rel 13: include menu.conf, since menu is enabled anyway

Revision 1.403  2008/10/06 11:14:57  blues
- CVE security blocker

Revision 1.402  2008/08/22 21:42:42  arekm
- rel 12

Revision 1.401  2008/08/22 17:26:40  arekm
- release 11

Revision 1.400  2008/08/21 12:06:30  arekm
- release 10

Revision 1.399  2008/06/23 13:34:56  charles
- rm dshow bcond (obsolete)

Revision 1.398  2008/06/09 12:07:22  charles
- s/--disable-pulse/--disable-polyp/

Revision 1.397  2008-06-02 19:31:11  pluto
- fix %prep, make dvdnav:// working again, release 9.

Revision 1.396  2008-05-31 21:20:00  dzeus
- rel. 8

Revision 1.395  2008-04-24 16:49:24  glen
- shouldn't provide the package name as it still exists in pld
  makes weird upgrade paths to be seen, besides who needs it anyway,
  addons that use mplayer -wid probably won't work with gmplayer
- rel 7

Revision 1.394  2008-02-19 00:31:15  glen
- build with internal ffmpeg libs; rel 6

Revision 1.393  2008-02-17 16:06:35  glen
- skins/default ghost is back, install re-entrancy, formatting

Revision 1.392  2008-02-16 12:07:35  glen
- do not include unapplied patches in sources (and get them tagged in cvs)

Revision 1.391  2008-02-16 11:59:01  blues
- add CVE-2008-0485 fix (demux_mov_fix_20080129.diff)

Revision 1.390  2008-02-13 08:04:43  glen
- add CVE refs to 1.0rc2

Revision 1.389  2008-02-13 00:28:47  wolvverine
- rel.5

Revision 1.388  2008-02-07 13:39:22  glen
- AC-branch merge:
  - add check for byteswap.h header
  - Error: Runtime CPU detection only works for x86, x86-64 and PPC
- rel 4

Revision 1.387  2008-02-07 08:57:05  ankry
- tabs

Revision 1.386  2008-02-07 08:45:25  glen
- strict jack-audio-connection-kit-libs dep (AC-branch merge)

Revision 1.385  2008-02-06 08:42:10  glen
- don't package skins/default symlink; rel 3

Revision 1.384  2008-02-06 00:20:31  glen
- reverted: 1. mplayer is not gui, 2. mplayer-skin virtual should be satisfied

Revision 1.383  2008-02-05 23:03:48  cactus
- R: mplayer-skin-Blue - because this is default skin in spec

Revision 1.382  2008-02-04 20:21:01  glen
- add stream_cddb_fix upstream patch; rel 2 (1 reserved for ac)

Revision 1.381  2008-01-16 00:40:08  tommat
- runtime cpu detection not supported on sparcs

Revision 1.380  2008-01-14 16:35:55  megabajt
- skins have to be placed in skins directory
  patch by Przemysław Firszt <pefi at o2.ie>
- release 0.4

Revision 1.379  2007-12-11 18:04:16  sls
- __make -j1

Revision 1.378  2007-11-15 06:28:50  wolvverine
- up rel to x.0.3 for libx264-0.1.2-1.20071008_2245.1

Revision 1.377  2007-11-11 17:43:55  wolvverine
- up rel x.0.2

Revision 1.376  2007/11/01 20:50:15  glen
- reverted -- choose one you like

Revision 1.375  2007/11/01 19:25:01  wolvverine
- add R - Blue is default skin for gmplayer

Revision 1.374  2007/10/31 16:50:44  glen
- restore r1.372

Revision 1.373  2007/10/31 16:47:09  glen
- merged 1.0 rc2 from DEVEL
  [CVE-2008-0485, CVE-2008-0486, CVE-2008-0629, CVE-2008-0630]

Revision 1.372  2007/10/25 20:36:32  blues
- use fontconfig in default config - solves problems with chars

Revision 1.371  2007/09/10 02:47:57  wolvverine
- rel.4

Revision 1.370  2007/09/06 15:54:13  baggins
- rel 7

Revision 1.369  2007/06/07 11:48:35  adamg
- security fix for CDDB parsing buffer overflows (CVE-2007-2948 and
  SAID 24302)
- release 6

Revision 1.368  2007/02/23 12:22:56  pluto
- bump release for rebuild with live-2007.02.20.

Revision 1.367  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.366  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.365  2007/01/10 13:17:59  glen
- rel 4

Revision 1.364  2007/01/10 13:15:27  glen
- RealMedia RTSP DoS fix. DSA 1244-1, CVE-2006-6172.
- rel 2

Revision 1.363  2006/12/29 14:47:30  glen
- amd64 segfault on mencoder

Revision 1.362  2006/12/12 23:37:49  charles
- enabled radio

Revision 1.361  2006/12/12 15:41:49  charles
- s/--disable-pulseaudio/--disable-pulse/

Revision 1.360  2006/12/11 22:57:49  glen
- use system vidix, builds

Revision 1.359  2006/12/09 17:56:37  qboosh
- wrrr

Revision 1.358  2006/12/09 14:09:56  glen
- unify

Revision 1.357  2006/12/09 14:08:30  glen
- -vidix subpackage
- corrected deps and scriptlets

Revision 1.356  2006/12/09 13:46:17  glen
- added on2flixenglinux patches

Revision 1.355  2006/12/09 13:13:36  glen
- wrong branch commit reverted

Revision 1.353  2006/12/09 12:50:15  glen
- adapter

Revision 1.352  2006/12/04 23:07:27  glen
- x264 enabled (fixed symbols in libavcodec)

Revision 1.351  2006/12/04 21:25:33  glen
- polypaudio -> pulseaudio

Revision 1.350  2006/11/19 18:05:04  qboosh
- updated todo

Revision 1.349  2006/11/19 17:56:00  qboosh
- libvorbis is not used by default now

Revision 1.348  2006/11/17 20:20:10  qboosh
- removed outdated x264 patch
- fixed LDFLAGS passing

Revision 1.347  2006/11/17 18:37:42  qboosh
- removed outdated bio2jack patch, updated jack BR

Revision 1.346  2006/11/17 18:09:49  qboosh
- updated system-amr patch is back
- kerneltwosix hack no longer exists

Revision 1.345  2006/10/25 23:47:44  wolf
- fixed

Revision 1.344  2006/10/25 22:56:33  wolf
- 1.0 rc1

Revision 1.343  2006/10/20 15:22:27  sls
- added gnome-screensaver.patch (based on patch from mandriva repository)

Revision 1.342  2006/09/27 22:34:06  wrobell
- rel. 3.pre8.4

Revision 1.341  2006/09/16 15:49:39  grzegol
- added x264 patch (fixes build with libx264 0.1.2-1.20060828_2245.1 snap)
- rel. .3

Revision 1.340  2006/08/27 03:54:21  havner
- turn off amr by defualt (licence)

Revision 1.339  2006/07/16 22:17:38  sparky
- fix build without mencoder

Revision 1.338  2006/07/02 20:56:04  qboosh
- added system-amr patch, use system amr{nb,wb} libs

Revision 1.337  2006/07/02 14:15:54  qboosh
- updated no_libnsl patch is back
- removed obsolete x86_64-detection patch

Revision 1.336  2006/06/30 15:11:38  pluto
- release .2 for rebuild with new libpng soname.

Revision 1.335  2006/06/28 18:54:03  havner
- auto-expand patch

Revision 1.334  2006/06/22 14:28:58  sparky
- no more altivec problems: on by default

Revision 1.333  2006/06/22 12:20:01  qboosh
- don't use -mmax on alpha, alpha patch no longer needed

Revision 1.332  2006/06/22 12:07:28  qboosh
- update instead of killing

Revision 1.331  2006/06/22 11:58:37  wrobell
- gcc checking was disabled by mistake

Revision 1.330  2006/06/22 11:54:42  wrobell
- kill unsupported parameters

Revision 1.329  2006/06/18 00:26:13  wolf
- 1.0pre8
- enabled x264
- added amr
- alpha is obsolete, so patches out
- cut changelog

Revision 1.328  2006/05/13 10:04:50  qboosh
- face the truth: lzo 2 and polypaudio 0.8 are not supported yet

Revision 1.327  2006/05/02 18:19:31  glen
- kill requires loop, -common requires nothing

Revision 1.326  2006/04/28 21:42:54  qboosh
- disable x264 by default (needs too new libx264 snap?)
- BR: libbio2jack-deevl >= 0.8-2 (which includes 0.7 compatibility patch)

Revision 1.325  2006/04/25 17:59:23  pluto
- rebuild with new polypaudio (soname changed).

Revision 1.324  2006/04/21 09:13:23  sparky
- multiarch support

Revision 1.323  2006/03/20 13:05:02  wiget
- more xorg-lib\* BRs

Revision 1.322  2006/03/20 11:14:19  qboosh
- more bconds (cdparanoia,enca,esd,faad,gif,xvid)

Revision 1.321  2006/03/20 11:03:20  qboosh
- rel .2.1

Revision 1.320  2006/03/20 10:55:59  qboosh
- added CVE-2005-4048 patch (heap overflow exploitable via PNG images)

Revision 1.319  2006/03/17 19:52:46  pluto
- lzw patent is dead. BR giflib-devel.
